[Digikam-users] unable to run digikam-svn

Fabien fabien.ubuntu at gmail.com
Fri Mar 2 15:45:15 CET 2007


Pedro Venda wrote:
> On Friday 02 March 2007 12:15:52 Gilles Caulier wrote:
>>Warning the Exiv2 linking on digiKAm is not static but dynamic...
> I understand, but I also have a script to run the svn version of digikam 
> which, between other tasks, changes LD_LIBRARY_PATH to prioritise 
> the /usr/local/digikam-trunk/lib which is where exiv2-svn is installed (as 
> shown below)

Be careful, it's not so easy.
Check the mailing archives (this ml but also digikam-devel).

exiv2 is not only linked to digiKam, but also to libdigikam, 
kipi-plugins and digiKam plugins.
Using LD_LIBRARY_PATH is *not* enough to be sure an old lib won't be 
used by them if it's in standard paths...


More information about the Digikam-users mailing list